Back to Facebook
Apify·Facebook

Facebook Posts Scraper

/apify/facebook-posts-scraperasync$0.0125 / result

Extract posts, videos, and engagement metrics from Facebook pages. Get text captions, reactions, video transcripts, images, external links, collaborators, and more from Facebook pages and profiles. Export ad data, schedule runs via API, and integrate with other tools or AI workflows. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • startUrlsarrayrequired

    Enter a valid Facebook page URL, e.g. https://www.facebook.com/humansofnewyork/. Note that you can only scrape public pages with this Actor, not personal profiles.

  • resultsLimitinteger

    If this limit is not set, only the initial page of results will be extracted.

  • captionTextboolean

    Extract video transcript (if available). (default false)

  • onlyPostsNewerThanstring

    Scrape posts from the provided date to the present day (or date set in 'Older than'). The date should be in YYYY-MM-DD absolute format or in relative format, e.g., 1 day, 2 months, 3 years. The JSON input also supports adding time units (UTC timezone): Full or partial ISO timestamp (e.g., `2025-09-2

  • onlyPostsOlderThanstring

    Scrape posts from the provided date to the past (or date set in 'Newer than'). The date should be in YYYY-MM-DD or full ISO absolute format or in relative format e.g. 1 days, 2 months, 3 years. The JSON input also supports adding time units (UTC timezone): Full or partial ISO timestamp (e.g., `2025-

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/apify/facebook-posts-scraper","input":{"startUrls":[{"url":"https://www.facebook.com/humansofnewyork/"}]}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.